Chuyển đến nội dung
Diễn đàn CADViet

cuongtk2

Thành viên
  • Số lượng nội dung

    391
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    26

Mọi thứ được đăng bởi cuongtk2

  1. cuongtk2

    Gióng vuông góc để vẽ mặt đứng

    Dùng để gióng vuông góc vào 1 đường thẳng giongline.lsp
  2. cuongtk2

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    ; Vậy phải dùng hàm entsel từng pline , sẽ lấy điểm pick dùng cho so sánh chọn mút nào để join (setq sel1 (entsel) pline1 (car sel1) diempick1 (cadr sel1)) ; truy xuất startpoint , endpoint từ pline1 ; gán điểm p1 là mút gần điểm pick hơn (setq p1 (if (< distance diempick1 startpoint) (distance diempick1 endpoint)) startpoint endpoint)) ; làm nốt với pline tiếp theo ra p2 , vẽ line p1 p2
  3. cuongtk2

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    (setq ss (ssget '((0 . "LWPOLYLINE")))) (setq ss (ACET-SS-TO-LIST ss)) (if (< (length ss) 2) (exit)) (setq pl1 (car ss) pl2 (cadr ss)) (setq ls1 (ACET-GEOM-PLINE-POINT-LIST pl1 0) ls2 (ACET-GEOM-PLINE-POINT-LIST pl2 0) pl1s (car ls1) pl1e (last ls1) pl2s (car ls2) pl2e (last ls2)) (setq p3 (if (< (distance pl1s pl2s) (distance pl1e pl2s)) pl1s pl1e) ) (setq p4 (if (< (distance pl2s pl1s) (distance pl2e pl1s)) pl2s pl2e) ) (setq line1 (entmakex (list (cons 0 "line") (cons 10 p3) (cons 11 p4)))) (command "pedit" pl1 "join" line1 pl2 "" "")
  4. cuongtk2

    [Yêu cầu] Lisp vẽ đoạn thẳng nối 2 đầu đoạn thẳng

    truy xuất ra các điểm start point và endpoint của 2 pline A,B rồi so sánh tìm được 2 điểm mút để vẽ 1 line C. Pedit nối A + BC lại.
  5. cuongtk2

    Tặng anh em 1 tool để chụp nhanh màn hình

    Cái này dùng để tạo ảnh cho button, Nhưng cũng có thể chụp màn hình post lên diễn đàn cho tiện. CopyScreen.rar
  6. cuongtk2

    Lỗi lisp thực hiện lệnh command "_Pline"

    lỗi bắt điểm đấy, zoom lên có thể osmode sẽ không bắt trúng nên có thể không bị
  7. cuongtk2

    Cần lisp chuyển đổi line

    Dùng linetype đi em
  8. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    https://spiderinnet1.typepad.com/blog/2014/10/autocad-net-vbnet-transaction-and-performance.html
  9. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    Nguyên solution đây nhé AutoCAD20211.rar
  10. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    Viết theo kiểu đề phòng thiếu hả?
  11. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    @gia_bachDùng thừa Transaction vòng ngoài rồi
  12. cuongtk2

    Lập trinh bằng C# cho autocad. Thank mọi người

    Viết thì dễ nhưng bạn diễn đạt không rõ ràng. Mục tiêu của bạn bà dim 2 đoạn thẳng tạo mới hay có sẵn.
  13. cuongtk2

    [ Yêu cầu Lisp Tạo Point Tâm miền kín]

    Trước mình cũng viết 1 tool hộ thằng em về khối lượng nút giao bằng net, chỉ xử lý phần tạo boundary cho các thành phần phía trong ranh vỉa hè.
  14. cuongtk2

    [ Yêu cầu Lisp Tạo Point Tâm miền kín]

    Để làm gì thế
  15. Mình sửa lại cho bạn đây nhé, trước vì không test kỹ nên bị như thế, vì biến toàn cục. (defun c:test (/ ENT EXPORTFILE FILE FILE1 P1 PATH SS) (setq ss (ACET-SS-TO-LIST (ssget "x" '((0 . "*TEXT"))))) (setq path (acet-ui-pickdir "Select directory" (getvar "dwgprefix"))) (foreach n ss (progn (setq ent (entget n) p1 (acet-dxf 10 ent) file (acet-dxf 1 ent) ) (vl-cmdf "-boundary" p1 "") (setq exportFile (strcat path "\\" (VL-STRING-TRIM " " file))) (command "_.dxfout" exportFile "_entities" (entlast) "" "_version" "2007" 6 ) (entdel (entlast)) ) ) )
  16. cuongtk2

    Chỉ giúp cách in ghép 2 mặt khổ giấy A4

    in ghep 2 mặt.dwg
  17. Xuất ra các chi tiết thành dxf file bằng cách tạo boundary tại mỗi text position (defun c:test () (setq ss (ACET-SS-TO-LIST (ssget "x" '((0 . "TEXT"))))) (foreach n ss (progn (setq ent (entget n) p1 (acet-dxf 10 ent) file (acet-dxf 1 ent) ) (vl-cmdf "-boundary" p1 "") (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq file1 (VL-STRING-TRIM " " file)) (setq path (acet-ui-pickdir "Select directory" (getvar "dwgprefix"))) (setq exportFile (strcat path "\\" file1)) ;; Adjust path to match your system ;; Create an empty selection set (setq sset (vla-Add (vla-get-SelectionSets doc) "TEST")) (vla-Select sset acSelectionSetLast) ;; Export the current drawing to the file specified above. (vla-Export doc exportFile "DXF" sset) (vla-Delete sset) ) ) )
  18. Cái khó nhất là nesting tôn thì có phần mềm chuyên dụng rồi, chỉ cần là làm đầu vào cho phần mềm đó thôi. Như vậy với từng hình rời rạc hoàn toàn có thể vẽ thành riêng biệt bản vẽ trùng tên với text. Lúc đó mới có thể xét đến lỗ cắt khoét
  19. cuongtk2

    Lisp thông kê danh mục bản vẽ

    (- CNT 1) hình như đổi sang string mới được
  20. cuongtk2

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    mô tả cách thực hiện: - đặt 1 điểm p1 làm nơi xác định giá trị X, lấy giá trị p1.X. - dùng 2 điểm p2, p3 để xác định 1 crossing window cho selection - tạo một Extens3d rồi add các điểm p2 p3 vào. Extens này dùng để xác định point_inside cho các vertext của curve - dùng vòng for để duyệt vertex của cuvre, nếu inside p2 p3 thì thay đổi giá trị X cho point đó (với Polyline) - tương tự startpoint, entpoint với Line myCommands.cs.txt
  21. cuongtk2

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    command: Stx CadStretch.rar
  22. cuongtk2

    Help về vẽ autocad

    có nhiều cách để làm dấu căn đó,từ ít sử dung đến thường xuyên: group, block, shape, fontshx. Tùy vào mức độ tái sử dụng mà mình chọn cách nào, đề xuất block hoặc attribute block
  23. cuongtk2

    Help về vẽ autocad

    Chữ nên viết, còn hình nên vẽ
  24. cuongtk2

    [window form C# with Autocad library]

    Đọc qua cái này đi bạn. Nhưng mình nghĩ app đọc, ghi dữ liệu độc lập, chỉ khi cần export dữ liệu sang dwg mới gọi Cad lên. https://through-the-interface.typepad.com/through_the_interface/2009/05/interfacing-an-external-com-application-with-a-net-module-in-process-to-autocad-redux.html
×